@font-face {
    font-family: "TheSansArabic";
    src: url("Bahij_TheSansArabic-Plain.ttf") format("truetype");
}

body {
    font-family: TheSansArabic, Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
.news-link{
    color: rgb(21, 21, 181);
    
}
.news-link:hover{
    color: rgb(21, 21, 181);
    text-decoration: underline;
}

.inline-text{
                font-size: 24px; /* حجم الخط */
            font-weight: bold; /* سمك الخط */
        }
}

.wrapper {
    position: relative;
    min-height: 100vh;
}

.flx1 {
    flex: 1;
}

#about {
    padding: 2rem;
    max-width: 700px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#about-img {
    width: 100%;
    height: 100%;
    max-height: 65vh;
    object-fit: cover;
    border-radius: 8px;
    filter: grayscale(100%);
}

#more {
    max-width: 1000px;
}

#more>a:hover>div {
    background-color: #132c59;
    color: white;
    transition: background-color 0.4s;
    transition: color 0.4s;
}

#more>a:hover>div>i {
    color: white;
    transition: color 0.4s;
}

a {
    text-decoration: none;
    color: inherit;
}

.rtl .caption {
    right: 50px;
    left: auto;
}

.value-item {
    display: flex;
    align-items: center;
    margin-bottom: 2rem;
}

.value-icon {
    min-width: 3rem;
    min-height: 3rem;
    color: #132c59;
    background-color: #fff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2rem;
    border: 2px solid #132c59;
}

.chev {
    position: absolute;
    z-index: 1;
    top: 50%;
    background-color: #132c59;
    color: white;
    padding: 0.5rem;
    border-radius: 50%;
    height: 1.8rem;
    width: 1.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background-color 0.3s;
}

.chev:hover {
    background-color: #0d1e3d;
}

.fa-chevron-left {
    left: 1rem;
}

.fa-chevron-right {
    right: 1rem;
}

.navbar {
    color: white;
    background-color: #132c59;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 2;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

.logo {
    height: 40px;
}

.nav-links {
    display: flex;
    align-items: center;
}

.nav-links>div:hover,
.nav-links>a:hover,
.dropdown-content a:hover {
    background-color: rgba(255, 255, 255, 0.068);
    border-radius: 8px;
    transition: background-color 0.2s;
}

.nav-links>div:hover>p {
    padding: 0;
    margin: 0;
}

.nav-links>div,
.nav-links>a {
    height: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    cursor: pointer;
    transition: background-color 0.2s;
}

.dropdown-content {
    padding: 5px;
    border-radius: 8px;
    margin: 0 5px;
    border: 1px solid #0d1e3d9d;
    display: none;
    position: absolute;
    background-color: #132c59;
    min-width: 160px;
    z-index: 11;
    top: 100%;
    left: 0;
}

.nav-links>div:hover .dropdown-content {
    display: block;
}

.dropdown-content a {
    height: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.social-icon {
    padding-inline: 0.4rem;
    padding-top: 0.2rem;
    font-size: 18px;
}

.social-icon:hover {
    color: #132c59;
    background-color: white;
    border-radius: 0.5rem;
    transition: background-color 0.4s;
}

.slideshow {
    position: relative;
    height: calc(100vh - 60px);
    overflow: hidden;
}

.slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.slide.active {
    opacity: 1;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.caption {
    position: absolute;
    bottom: 50px;
    left: 50px;
    color: white;
    font-size: 32px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    max-width: 60%;
}

.slideshow-buttons {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
}

.slideshow-buttons button {
    background: white;
    border: none;
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    margin: 0 5px;
    cursor: pointer;
}

.slideshow-buttons button.active {
    background: #132c59;
}

.hamburger {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

.footer {
    background-color: #132c59;
    color: white;
    text-align: center;
    padding: 20px;
    margin-top: 20px;
}

.footer-social * {
    margin: 0.5rem 0;
}

.flex {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.flex>div {
    margin: 10px;
}

.nav-links>div,
.nav-links>a {
    padding-right: 1rem;
    padding-left: 1rem;
}

.center {
    display: none;
}

.section {
    text-align: center;
    padding: 50px 0;
}

h1 {
    font-size: 3rem;
    color: #132c59;
    margin-bottom: 2rem;
}

.cards-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    max-width: 1400px;
    margin: 1rem;
}

.card {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 150px;
    margin: 0.5rem;
    text-align: center;
}

.card:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    transform: translateY(-0.5rem);
    transition: transform 0.4s ease;
}

.card-icon {
    color: #132c59;
    font-size: 40px;
    margin-bottom: 10px;
}

.impact-number {
    font-size: 32px;
    font-weight: bold;
    color: #132c59;
}

.news img {
    width: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.news video {
    width: 100%;
    border-radius: 8px;
    max-height: 70vh;
}

.news {
    max-width: 1000px;
    border-radius: 8px;
    text-align: center;
    box-shadow: #132b5963 0 0 10px;
    margin: 3rem;
    padding: 1rem;
}

.news-container {
    text-align: center;
}

@media (max-width: 837px) {
    .nav-links>div:hover {
        flex-direction: column;
    }

    .center {
        display: initial;
    }

    .nav-links,
    .social-icons {
        display: none;
    }

    .hamburger {
        display: block;
    }

    .nav-links.active {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 60px;
        left: 0;
        right: 0;
        background-color: #132c59;
        padding: 20px;
        box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    }

    .nav-links.active:has(.dropdown-content)>div:hover {
        height: unset;
        padding: 1rem;
    }

    .nav-links>div:hover>p {
        margin-bottom: 0.5rem;
    }

    .nav-links.active>div,
    .nav-links.active>a {
        padding-right: 1rem;
        padding-left: 1rem;
        text-align: center;
    }

    .dropdown-content {
        position: static;
        box-shadow: #132c59;
    }

    .caption {
        font-size: 24px;
    }
}
